<?php
/**
 * Created by PhpStorm.
 * User: malayladu
 * Date: 2018-12-20
 * Time: 15:19
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class ES_Cron {

	public function __construct() {
		$this->handle_cron_request();
		$this->set_cron();
		add_action( 'es_cron_hourly', array( $this, 'handle_cron_request' ), 10, 2 );
	}

	public function handle_cron_request( $es = '', $guid = '' ) {

		$es_request = ( ! empty( $es ) ) ? $es : Email_Subscribers::get_request( 'es' );

		$ig_es_last_cron_run = get_option( 'ig_es_last_cron_run', true );
		$time_diff           = ( time() - $ig_es_last_cron_run );
		$time_diff           = ( ! empty( $_GET['es_pro'] ) && $_GET['es_pro'] === 'true' ) ? 1 : floor( $time_diff / 3600 );
		if ( 'cron' === $es_request && $time_diff >= 1 ) {
			$guid = ( ! empty( $guid ) ) ? $guid : Email_Subscribers::get_request( 'guid' );
			if ( ! empty( $guid ) ) {
				$response           = array( 'status' => 'SUCCESS', 'es_remaining_email_count' => 100 );
				$es_process_request = true;

				// filter request
				$es_process_request = apply_filters( 'es_process_request', $es_process_request );

				if ( true === $es_process_request ) {
					$security1             = strlen( $guid );
					$es_c_cronguid_noslash = str_replace( "-", "", $guid );
					$security2             = strlen( $es_c_cronguid_noslash );
					if ( $security1 == 34 && $security2 == 30 ) {
						if ( ! preg_match( '/[^a-z]/', $es_c_cronguid_noslash ) ) {
							$es_c_cronurl   = get_option( 'ig_es_cronurl' );
							$es_c_croncount = get_option( 'ig_es_hourly_email_send_limit' );

							// Modify cron count?
							$es_c_croncount = apply_filters( 'es_email_sending_limit', $es_c_croncount );
							parse_str( $es_c_cronurl, $output );
							if ( $guid === $output['guid'] ) {
								if ( ! is_numeric( $es_c_croncount ) ) {    //if $es_c_croncount is coming empty, then set $es_c_croncount should be passed empty?
									$es_c_croncount = 50;
								}

								/**
								 * - Get GUID from sentdetails report which are in queue
								 * - Get subscribers from the deliverreport table based on fetched guid
								 * - Prepare email content
								 * - Send emails based on fetch subscribers
								 * - Update status in sentdetails table
								 * - Update status in deliver report table
								 */

								// Get GUID from sentdetails report which are in queue
								$notification      = ES_DB_Mailing_Queue::get_notification_to_be_sent();
								$notification_guid = isset( $notification['hash'] ) ? $notification['hash'] : null;

								if ( ! is_null( $notification_guid ) ) {
									ES_DB_Mailing_Queue::update_sent_status( $notification_guid, 'Sending' );

									// Get subscribers from the deliverreport table based on fetched guid
									$emails = ES_DB_Sending_Queue::get_emails_to_be_sent_by_hash( $notification_guid, $es_c_croncount );
									// Found Subscribers to send notification?
									if ( count( $emails ) > 0 ) {
										$ids = array();
										foreach ( $emails as $email ) {
											$ids[] = $email['id'];
										}

										$updated = ES_DB_Sending_Queue::update_sent_status( $ids, 'Sending' );

										if ( $updated ) {
											ES_Mailer::prepare_and_send_email( $emails, $notification );
											ES_DB_Sending_Queue::update_sent_status( $ids, 'Sent' );
										}

										$remainig_emails_to_be_sent = ES_DB_Sending_Queue::get_total_emails_to_be_sent_by_hash( $notification_guid );

										// No emails left for the $notification_guid??? Send admin notification for the
										// Completion of a job
										if ( $remainig_emails_to_be_sent == 0 ) {
											ES_DB_Mailing_Queue::update_sent_status( $notification_guid, 'Sent' );

											// Stop sending CRON emails for now.
											// We will check whether to enable it or not in future
											/*
											$template = ES_Mailer::prepare_es_cron_admin_email( $notification_guid );

											if ( ! empty( $template ) ) {
												$subject     = __( 'Cron Email report', 'email-subscribers' );
												$admin_email = get_option( 'admin_email' );
												ES_Mailer::send( $admin_email, $subject, $template );
											} else {
												$response['es_remaining_email_count'] = $remainig_emails_to_be_sent;
												$response['message']                  = 'TEMPLATE_NOT_FOUND';
												$response['status']                   = 'ERROR';
											}
											*/

										}

										$response['es_remaining_email_count'] = $remainig_emails_to_be_sent;
										$response['message']                  = 'EMAILS_SENT';
										$response['status']                   = 'SUCCESS';
										// update last cron run time
										update_option( 'ig_es_last_cron_run', time() );
									} else {
										$response['es_remaining_email_count'] = 0;
										$response['message']                  = 'EMAILS_NOT_FOUND';
										$response['status']                   = 'SUCCESS';
									}
								} else {
									$response['es_remaining_email_count'] = 0;
									$response['message']                  = 'NOTIFICATION_NOT_FOUND';
									$response['status']                   = 'SUCCESS';
								}
							} else {
								$response['status']  = 'ERROR';
								$response['message'] = 'CRON_GUID_DOES_NOT_MATCH';
							}
						} else {
							$response['status']  = 'ERROR';
							$response['message'] = 'CRON_GUID_PATTERN_DOES_NOT_MATCH';
						}
					} else {
						$response['status']  = 'ERROR';
						$response['message'] = 'INVALID_CRON_GUID';
					}
				} else {
					$response['status']  = 'ERROR';
					$response['message'] = 'DO_NOT_PROCESS_REQUEST';
				}
			} else {
				$response['status']  = 'ERROR';
				$response['message'] = 'EMPTY_CRON_GUID';
			}

			echo json_encode( $response );
			die();
		}


	}

	public function set_cron() {
		$args['es']   = 'cron';
		$es_c_cronurl = get_option( 'ig_es_cronurl' );
		parse_str( $es_c_cronurl, $output );
		$args['guid'] = $output['guid'];
		if ( ! wp_next_scheduled( 'es_cron_hourly', array( $args['es'], $args['guid'] ) ) ) {
			wp_clear_scheduled_hook( 'es_cron_hourly', array( $args['es'], $args['guid'] ) );
			wp_schedule_event( time(), 'hourly', 'es_cron_hourly', array( $args['es'], $args['guid'] ) );
		}
	}

}

add_action( 'init', function () {
	new ES_Cron();
} );
